Bug 811431 - Output Common Name > Concern pages BZ links do not lead to useful BZ page
Output Common Name > Concern pages BZ links do not lead to useful BZ page
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
All All
unspecified Severity high
: ---
: ---
Assigned To: Matthew Casperson
Depends On:
Blocks: 811036
  Show dependency treegraph
Reported: 2012-04-10 23:33 EDT by Misha H. Ali
Modified: 2014-08-04 18:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-15 16:40:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-04-10 23:33:23 EDT
Description of problem:

In any topic based output, the Common Name>Concern page has a BZ link at the bottom which should lead to a BZ page for the correct Product Name and Version, probably also with the docs component, as is usually specified with the following entities in the en-US/Title_of_Book.ent file:

<!ENTITY BZURL "http://bugzilla.redhat.com">
<!ENTITY BZPRODUCT "JBoss Data Grid 6">
<!ENTITY BZCOMPONENT "Documentation">

How reproducible:

100% (this appears in both JDG and EAP docs)

Steps to Reproduce:
1. Go to docs.redhat.com
2. Click either JBoss Data Grid or JBoss Enterprise Application Server
3. Click 6 and then Beta Documentation
4. Select a Common name from the left hand navigation panel.
5. In the submenu that opens up, select a Concern.
6. In the page that appears with a list of topics, click the "Report a bug" link at the bottom of the page.

Actual results:

You are directed to a generic bugzilla page, like this one:


Expected results:

Instead, you should be directed to a more relevant bug page, like this one for JDG:


(above taken from a random topic's report a bug link)
Comment 1 Matthew Casperson 2012-04-15 16:40:19 EDT
The default generated landing pages have no way to know what BZ link to produce. To have a useful BZ link created, you need to create a page with the appropriate combination of Concern, Technology and Home (from the Special Tags category in the Common projects tab) tags to be used as the template for the landing pages.

See http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html/Beta_Documentation/Application_Server_Installation1.html for an example. The information taken from this page comes from topic 4609 - http://skynet.usersys.redhat.com:8080/TopicIndex/Topic.seam?topicTopicId=4609&topicRevision=

Note that to generate a valid bugzilla link, a tag with the Bugzilla product and release property tags also needs to be assigned. Tags in the release category typically have this information. You will see that topic 4609 has the EAP 6 Alpha and Beta tags assigned.

Note You need to log in before you can comment on or make changes to this bug.